=== debian/control ===
Source: ros-indigo-baselib-binding
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-baselib-binding
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Includes headers to provide loose coupling to core functionalities such as threads and shared pointers: can switch between std c++11 threads/shared pointers or boost.
